# OSGeo::FDO::Xml::XmlFeatureHandler Class Reference
[OSGeo::FDO::Xml]

Inheritance diagram for OSGeo::FDO::Xml::XmlFeatureHandler:

[legend]

List of all members.

## Detailed Description

XmlFeatureHandler defines the callback interface for reading features from XML. It is not an interface in the strict sense, since each function has a default implementation that does nothing. Implementors can override these callbacks to customize the handling of feature fragments parsed by XmlFeaturePropertyReader. Note that the default FeatureProperty implementations log errors in certain circumstances. Therefore, these functions must be overridden to avoid these errors and indicate that these types of properties are being handled by the caller.

()

## Public Member Functions
System::Boolean | FeatureBinaryData (OSGeo::FDO::Xml::XmlFeatureContext *context, System::Byte buffer[])
| Default Feature callback that is called when the XmlFeaturePropertyReader reads a chunk of data for a Raster or BLOB property. Does nothing by default. This function may be called multiple times for the same property, if the the property value is large. Applications must not make any assumptions about the chunk size or number of chunks for each property.
System::Boolean | FeatureCharacters (OSGeo::FDO::Xml::XmlFeatureContext *context, System::String *value)
| Default Feature Handle callback that is called when the XmlFeaturePropertyReader reads a chunk of data for a CLOB property. Does nothing by default. This function may be called multiple times for the same property, if the the property value is large. Applications must not make any assumptions about the chunk size or number of chunks for each property.
System::Boolean | FeatureCollectionEnd (OSGeo::FDO::Xml::XmlFeatureContext *context)
| Default feature handler callback that is called when the XmlFeaturePropertyReader encounters the end of a feature collection. Does nothing.
OSGeo::FDO::Xml::XmlFeatureHandler * | FeatureCollectionStart (OSGeo::FDO::Xml::XmlFeatureContext *context, OSGeo::FDO::Schema::ClassDefinition *definition)
| Default feature handler callback that is called when the XmlFeaturePropertyReader encounters the start of a feature collection. Does nothing.
System::Void | FeatureDocumentEnd (OSGeo::FDO::Xml::XmlFeatureContext *context)
| Default feature handler callback that is called when the XmlFeaturePropertyReader finishes reading an XML document. Does nothing.
OSGeo::FDO::Xml::XmlFeatureHandler * | FeatureDocumentStart (OSGeo::FDO::Xml::XmlFeatureContext *context)
| Default feature handler callback that is called when the XmlFeaturePropertyReader starts reading an XML document. Does nothing.
System::Boolean | FeatureEnd (OSGeo::FDO::Xml::XmlFeatureContext *context)
| Default feature handler callback that is called when the XmlFeaturePropertyReader encounters the end of a feature. Does nothing.
System::Boolean | FeatureEndAssociationProperty (OSGeo::FDO::Xml::XmlFeatureContext *context)
| Default feature handler callback that is called when the XmlFeaturePropertyReader encounters the end of an association property. Does nothing.
System::Boolean | FeatureEndLobProperty (OSGeo::FDO::Xml::XmlFeatureContext *context)
| Default feature handler callback that is called when the XmlFeaturePropertyReader encounters the end of a lob property. Does nothing.
System::Boolean | FeatureEndObjectProperty (OSGeo::FDO::Xml::XmlFeatureContext *context)
| Default feature handler callback that is called when the XmlFeaturePropertyReader encounters the end of an object property. Does nothing.
System::Boolean | FeatureEndRasterProperty (OSGeo::FDO::Xml::XmlFeatureContext *context)
| Default feature handler callback that is called when the XmlFeaturePropertyReader encounters the end of a raster property. Does nothing.
System::Boolean | FeatureGeometricProperty (OSGeo::FDO::Xml::XmlFeatureContext *context, System::String *name, System::Byte buffer[])
| Default feature handler callback that is called when the XmlFeaturePropertyReader encounters a geometric property. Logs an error when the current ErrorLevel is High or Normal.
System::Boolean | FeatureProperty (OSGeo::FDO::Xml::XmlFeatureContext *context, System::String *name, System::String *value)
| Default feature handler callback that is called when the XmlFeaturePropertyReader encounters a property with string value. Logs an error when the current ErrorLevel is High or Normal. An error is also logged when the ErrorLevel is Low and the current property is not nullable.
System::Boolean | FeatureProperty (OSGeo::FDO::Xml::XmlFeatureContext *context, System::String *name, System::Single value)
| Default feature handler callback that is called when the XmlFeaturePropertyReader encounters a property with single precision value. Logs an error when the current ErrorLevel is High or Normal. An error is also logged when the ErrorLevel is Low and the current property is not nullable.
System::Boolean | FeatureProperty (OSGeo::FDO::Xml::XmlFeatureContext *context, System::String *name, System::Int64 value)
| Default feature handler callback that is called when the XmlFeaturePropertyReader encounters a property with int64 value. Logs an error when the current ErrorLevel is High or Normal. An error is also logged when the ErrorLevel is Low and the current property is not nullable.
System::Boolean | FeatureProperty (OSGeo::FDO::Xml::XmlFeatureContext *context, System::String *name, System::Int32 value)
| Default feature handler callback that is called when the XmlFeaturePropertyReader encounters a property with int32 value. Logs an error when the current ErrorLevel is High or Normal. An error is also logged when the ErrorLevel is Low and the current property is not nullable.
System::Boolean | FeatureProperty (OSGeo::FDO::Xml::XmlFeatureContext *context, System::String *name, System::Int16 value)
| Default feature handler callback that is called when the XmlFeaturePropertyReader encounters a property with int16 value. Logs an error when the current ErrorLevel is High or Normal. An error is also logged when the ErrorLevel is Low and the current property is not nullable.
System::Boolean | FeatureProperty (OSGeo::FDO::Xml::XmlFeatureContext *context, System::String *name, System::Double value)
| Default feature handler callback that is called when the XmlFeaturePropertyReader encounters a property with double value. Logs an error when the current ErrorLevel is High or Normal. An error is also logged when the ErrorLevel is Low and the current property is not nullable.
System::Boolean | FeatureProperty (OSGeo::FDO::Xml::XmlFeatureContext *context, System::String *name, System::DateTime value)
| Default feature handler callback that is called when the XmlFeaturePropertyReader encounters a property with DataTime value. Logs an error when the current ErrorLevel is High or Normal. An error is also logged when the ErrorLevel is Low and the current property is not nullable.
System::Boolean | FeatureProperty (OSGeo::FDO::Xml::XmlFeatureContext *context, System::String *name, System::Byte value)
| Default feature handler callback that is called when the XmlFeaturePropertyReader encounters a property with single byte value. Logs an error when the current ErrorLevel is High or Normal. An error is also logged when the ErrorLevel is Low and the current property is not nullable.
System::Boolean | FeatureProperty (OSGeo::FDO::Xml::XmlFeatureContext *context, System::String *name, System::Boolean value)
| Default feature handler callback that is called when the XmlFeaturePropertyReader encounters a property with boolean value. Logs an error when the current ErrorLevel is High or Normal. An error is also logged when the ErrorLevel is Low and the current property is not nullable.
OSGeo::FDO::Xml::XmlFeatureHandler * | FeatureStart (OSGeo::FDO::Xml::XmlFeatureContext *context, OSGeo::FDO::Schema::ClassDefinition *definition)
| Default feature handler callback that is called when the XmlFeaturePropertyReader encounters the start of a feature. Does nothing.
OSGeo::FDO::Xml::XmlFeatureHandler * | FeatureStartAssociationProperty (OSGeo::FDO::Xml::XmlFeatureContext *context, System::String *name, OSGeo::FDO::Schema::ClassDefinition *value)
| Default feature handler callback that is called when the XmlFeaturePropertyReader encounters the start of an association property. Does nothing by default. A number of other events are fired between FeatureStartAssociationProperty and FeatureEndAssociationProperty, to identify the associated feature referenced by the current association property:.
System::Boolean | FeatureStartLobProperty (OSGeo::FDO::Xml::XmlFeatureContext *context, System::String *name)
| Default feature handler callback that is called when the XmlFeaturePropertyReader encounters the start of a lob property. Logs an error when the current ErrorLevel is High or Normal. If this is a BLOB property then its value is sent through the FeatureBinaryData() callback. If this is a CLOB property then its value is sent through the FeatureCharacters() callback.
OSGeo::FDO::Xml::XmlFeatureHandler * | FeatureStartObjectProperty (OSGeo::FDO::Xml::XmlFeatureContext *context, System::String *name, OSGeo::FDO::Schema::ClassDefinition *value)
| Default feature handler callback that is called when the XmlFeaturePropertyReader encounters the start of an object property. Does nothing.
System::Boolean | FeatureStartRasterProperty (OSGeo::FDO::Xml::XmlFeatureContext *context, System::String *name, OSGeo::FDO::Raster::IRaster *value)
| Default feature handler callback that is called when the XmlFeaturePropertyReader encounters the start of a raster property. Logs an error when the current ErrorLevel is High or Normal. An error is also logged when the ErrorLevel is Low and the current property is not nullable. The raster image is sent by subsequent calls to FeatureBinaryData().